Subject: Re: bug#34946: [bug-gnu-emacs] proposed configure.ac change for emacs-26.2

From: Alan Third <[email-masked]>
Date: Fri, 22 Mar 2019 15:22:02 +0000

On Fri, Mar 22, 2019 at 08:09:17AM -0600, Nelson H. F. Beebe wrote:
> Testing of the release candidate for emacs-26.2 on Oracle Solaris 11.4
> shows that a build fails because lcms2.h is not found in /usr/include.
> On that system, and on Hipster, an OpenSolaris relative, that file is
> present in /usr/include/lcms.
> 
> Discussions with Eli Zaretskii <[email-masked]> suggest that emacs'
> configure.ac needs to use pkg-config to identify the correct include
> directory for lcms2.h:
> 
> 	% pkg-config --cflags lcms2
> 	-I/usr/include/lcms

This change already exists in master (Bug#30346). The commit is:

    cb3863370cbe574810f796726faa39ba0de0a429

I tried cherry picking it into emacs-26 and while it needed some
manual cleanup, which was simple, Emacs still builds here after
applying it.
-- 
Alan Third